Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

[v1.3.3 Windows 7 & 10] Brand new install of Meteor, can't do "meteor list" or "meteor" on brand new created sample project #7221

Closed
cvax opened this issue Jun 15, 2016 · 54 comments

Comments

@cvax
Copy link

@cvax cvax commented Jun 15, 2016

I was running v1.3.2 without issue, but when I tried to do "meteor update" it was giving me all kinds of hell being stuck with "downloading meteor-tools v1.3.3". I then tried to uninstall everything, including deleting \AppData\Local.meteor. Upon reinstall I used "meteor create myApp". It creates it fine, but when I go "cd myApp" and "meteor list" or "meteor" it fails.

"meteor list"

Errors prevented isopacket load:

While loading isopacket `ddp`:
module.js:338:15: Cannot find module './_baseClone'
at Function.Module._resolveFilename (module.js:338:15)
at Function.Module._load (module.js:280:25)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.<anonymous>
(C:\Users\Cvax\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\isopackets\ddp\npm\node_modules\met
eor\babel-compiler\node_modules\babel-plugin-transform-es2015-modules-commonjs\node_modules\babel-types\node_modules\lod
ash\clone.js:1:17)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Cvax\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\n
ode\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.<anonymous>
(C:\Users\Cvax\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\isopackets\ddp\npm\node_modules\met
eor\babel-compiler\node_modules\babel-plugin-transform-es2015-modules-commonjs\node_modules\babel-types\lib\index.js:314
:38)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Cvax\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\n
ode\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.<anonymous>
(C:\Users\Cvax\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\isopackets\ddp\npm\node_modules\met
eor\babel-compiler\node_modules\babel-plugin-transform-es2015-modules-commonjs\node_modules\babel-template\lib\index.js:
84:43)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Cvax\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\n
ode\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.<anonymous>
(C:\Users\Cvax\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\isopackets\ddp\npm\node_modules\met
eor\babel-compiler\node_modules\babel-plugin-transform-es2015-modules-commonjs\lib\index.js:525:46)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Cvax\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\n
ode\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object._.extend.Npm.require (C:\tools\isobuild\bundler.js:1570:22)
at Object.require (C:\tools\isobuild\bundler.js:1547:11)
at Package (packages/babel-compiler/babel-compiler.js:17:1)
at packages/babel-compiler/babel-compiler.js:356:1
at packages/babel-compiler/babel-compiler.js:356:1



C:\Users\Cvax\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\dev_bundle\lib\node_modules\meteor-p
romise\promise_server.js:165
      throw error;
            ^
Error: isopacket load failed?
    at loadIsopacketFromDisk (C:\tools\tool-env\isopackets.js:286:11)
    at C:\tools\tool-env\isopackets.js:88:23
    at Object.exports.noYieldsAllowed (C:\tools\utils\fiber-helpers.js:37:14)
    at Object.load (C:\tools\tool-env\isopackets.js:80:23)
    at new ServiceConnection (C:\tools\meteor-services\service-connection.js:29:28)
    at Object.exports.openServiceConnection (C:\tools\meteor-services\auth-client.js:12:10)
    at openPackageServerConnection (C:\tools\packaging\package-client.js:21:21)
    at _updateServerPackageData (C:\tools\packaging\package-client.js:149:14)
    at C:\tools\packaging\package-client.js:127:12
    at C:\tools\utils\buildmessage.js:334:18
    at [object Object].withValue (C:\tools\utils\fiber-helpers.js:89:14)
    at C:\tools\utils\buildmessage.js:333:36
    at [object Object].withValue (C:\tools\utils\fiber-helpers.js:89:14)
    at Object.enterJob (C:\tools\utils\buildmessage.js:324:26)
    at Object.exports.updateServerPackageData (C:\tools\packaging\package-client.js:126:23)
    at C:\tools\packaging\catalog\catalog-remote.js:777:36
    at C:\tools\utils\buildmessage.js:334:18
    at [object Object].withValue (C:\tools\utils\fiber-helpers.js:89:14)
    at C:\tools\utils\buildmessage.js:333:36
    at [object Object].withValue (C:\tools\utils\fiber-helpers.js:89:14)
    at Object.enterJob (C:\tools\utils\buildmessage.js:324:26)
    at RemoteCatalog.refresh (C:\tools\packaging\catalog\catalog-remote.js:776:18)
    at Object.catalog.refreshOrWarn (C:\tools\packaging\catalog\catalog.js:48:22)
    at [object Object].catalog.Refresh.OnceAtStart.beforeCommand (C:\tools\packaging\catalog\catalog.js:21:16)
    at C:\tools\cli\main.js:1398:32
    at C:\tools\utils\buildmessage.js:334:18
    at [object Object].withValue (C:\tools\utils\fiber-helpers.js:89:14)
    at C:\tools\utils\buildmessage.js:333:36
    at [object Object].withValue (C:\tools\utils\fiber-helpers.js:89:14)
    at Object.enterJob (C:\tools\utils\buildmessage.js:324:26)
    at C:\tools\cli\main.js:1397:20

When I try to use "meteor", I get this...

=> Started proxy.
=> Started MongoDB.
Errors prevented isopacket load:

While loading isopacket `ddp`:
module.js:338:15: Cannot find module './_baseClone'
at Function.Module._resolveFilename (module.js:338:15)
at Function.Module._load (module.js:280:25)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.<anonymous>
(C:\Users\Cvax\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\isopackets\ddp\npm\node_modules\met
eor\babel-compiler\node_modules\babel-plugin-transform-es2015-modules-commonjs\node_modules\babel-types\node_modules\lod
ash\clone.js:1:17)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Cvax\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\n
ode\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.<anonymous>
(C:\Users\Cvax\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\isopackets\ddp\npm\node_modules\met
eor\babel-compiler\node_modules\babel-plugin-transform-es2015-modules-commonjs\node_modules\babel-types\lib\index.js:314
:38)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Cvax\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\n
ode\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.<anonymous>
(C:\Users\Cvax\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\isopackets\ddp\npm\node_modules\met
eor\babel-compiler\node_modules\babel-plugin-transform-es2015-modules-commonjs\node_modules\babel-template\lib\index.js:
84:43)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Cvax\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\n
ode\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.<anonymous>
(C:\Users\Cvax\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\isopackets\ddp\npm\node_modules\met
eor\babel-compiler\node_modules\babel-plugin-transform-es2015-modules-commonjs\lib\index.js:525:46)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Cvax\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\n
ode\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object._.extend.Npm.require (C:\tools\isobuild\bundler.js:1570:22)
at Object.require (C:\tools\isobuild\bundler.js:1547:11)
at Package (packages/babel-compiler/babel-compiler.js:17:1)
at packages/babel-compiler/babel-compiler.js:356:1
at packages/babel-compiler/babel-compiler.js:356:1


=> Errors prevented startup:

   While loading plugin `compile-ecmascript` from package `ecmascript`:
   module.js:338:15: Cannot find module './_baseClone'
   at Function.Module._resolveFilename (module.js:338:15)
   at Function.Module._load (module.js:280:25)
   at Module.require (module.js:364:17)
   at require (module.js:380:17)
   at Object.<anonymous>
   (C:\Users\Cvax\AppData\Local\.meteor\packages\ecmascript\0.4.4\plugin.compile-ecmascript.os\npm\node_modules\meteor\b
abel-compiler\node_modules\babel-plugin-transform-es2015-modules-commonjs\node_modules\babel-types\node_modules\lodash\c
lone.js:1:17)
   at Module._compile (module.js:456:26)
   at Object.Module._extensions..js (module.js:474:10)
   at Module.load (module.js:356:32)
   at Module.Mp.load
   (C:\Users\Cvax\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reif
y\node\runtime.js:16:23)
   at Function.Module._load (module.js:312:12)
   at Module.require (module.js:364:17)
   at require (module.js:380:17)
   at Object.<anonymous>
   (C:\Users\Cvax\AppData\Local\.meteor\packages\ecmascript\0.4.4\plugin.compile-ecmascript.os\npm\node_modules\meteor\b
abel-compiler\node_modules\babel-plugin-transform-es2015-modules-commonjs\node_modules\babel-types\lib\index.js:314:38)
   at Module._compile (module.js:456:26)
   at Object.Module._extensions..js (module.js:474:10)
   at Module.load (module.js:356:32)
   at Module.Mp.load
   (C:\Users\Cvax\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reif
y\node\runtime.js:16:23)
   at Function.Module._load (module.js:312:12)
   at Module.require (module.js:364:17)
   at require (module.js:380:17)
   at Object.<anonymous>
   (C:\Users\Cvax\AppData\Local\.meteor\packages\ecmascript\0.4.4\plugin.compile-ecmascript.os\npm\node_modules\meteor\b
abel-compiler\node_modules\babel-plugin-transform-es2015-modules-commonjs\node_modules\babel-template\lib\index.js:84:43
)
   at Module._compile (module.js:456:26)
   at Object.Module._extensions..js (module.js:474:10)
   at Module.load (module.js:356:32)
   at Module.Mp.load
   (C:\Users\Cvax\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reif
y\node\runtime.js:16:23)
   at Function.Module._load (module.js:312:12)
   at Module.require (module.js:364:17)
   at require (module.js:380:17)
   at Object.<anonymous>
   (C:\Users\Cvax\AppData\Local\.meteor\packages\ecmascript\0.4.4\plugin.compile-ecmascript.os\npm\node_modules\meteor\b
abel-compiler\node_modules\babel-plugin-transform-es2015-modules-commonjs\lib\index.js:525:46)
   at Module._compile (module.js:456:26)
   at Object.Module._extensions..js (module.js:474:10)
   at Module.load (module.js:356:32)
   at Module.Mp.load
   (C:\Users\Cvax\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reif
y\node\runtime.js:16:23)
   at Function.Module._load (module.js:312:12)
   at Module.require (module.js:364:17)
   at require (module.js:380:17)
   at Object._.extend.Npm.require (C:\tools\isobuild\bundler.js:1570:22)
   at Object.require (C:\tools\isobuild\bundler.js:1547:11)
   at Package (packages/babel-compiler/babel-compiler.js:17:1)
   at packages/babel-compiler/babel-compiler.js:356:1
   at packages/babel-compiler/babel-compiler.js:356:1


   While loading plugin `compileTemplatesBatch` from package `templating`:
   module.js:338:15: Cannot find module './_baseClone'
   at Function.Module._resolveFilename (module.js:338:15)
   at Function.Module._load (module.js:280:25)
   at Module.require (module.js:364:17)
   at require (module.js:380:17)
   at Object.<anonymous>
   (C:\Users\Cvax\AppData\Local\.meteor\packages\templating\1.1.10\plugin.compileTemplatesBatch.os\npm\node_modules\mete
or\babel-compiler\node_modules\babel-plugin-transform-es2015-modules-commonjs\node_modules\babel-types\node_modules\loda
sh\clone.js:1:17)
   at Module._compile (module.js:456:26)
   at Object.Module._extensions..js (module.js:474:10)
   at Module.load (module.js:356:32)
   at Module.Mp.load
   (C:\Users\Cvax\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reif
y\node\runtime.js:16:23)
   at Function.Module._load (module.js:312:12)
   at Module.require (module.js:364:17)
   at require (module.js:380:17)
   at Object.<anonymous>
   (C:\Users\Cvax\AppData\Local\.meteor\packages\templating\1.1.10\plugin.compileTemplatesBatch.os\npm\node_modules\mete
or\babel-compiler\node_modules\babel-plugin-transform-es2015-modules-commonjs\node_modules\babel-types\lib\index.js:314:
38)
   at Module._compile (module.js:456:26)
   at Object.Module._extensions..js (module.js:474:10)
   at Module.load (module.js:356:32)
   at Module.Mp.load
   (C:\Users\Cvax\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reif
y\node\runtime.js:16:23)
   at Function.Module._load (module.js:312:12)
   at Module.require (module.js:364:17)
   at require (module.js:380:17)
   at Object.<anonymous>
   (C:\Users\Cvax\AppData\Local\.meteor\packages\templating\1.1.10\plugin.compileTemplatesBatch.os\npm\node_modules\mete
or\babel-compiler\node_modules\babel-plugin-transform-es2015-modules-commonjs\node_modules\babel-template\lib\index.js:8
4:43)
   at Module._compile (module.js:456:26)
   at Object.Module._extensions..js (module.js:474:10)
   at Module.load (module.js:356:32)
   at Module.Mp.load
   (C:\Users\Cvax\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reif
y\node\runtime.js:16:23)
   at Function.Module._load (module.js:312:12)
   at Module.require (module.js:364:17)
   at require (module.js:380:17)
   at Object.<anonymous>
   (C:\Users\Cvax\AppData\Local\.meteor\packages\templating\1.1.10\plugin.compileTemplatesBatch.os\npm\node_modules\mete
or\babel-compiler\node_modules\babel-plugin-transform-es2015-modules-commonjs\lib\index.js:525:46)
   at Module._compile (module.js:456:26)
   at Object.Module._extensions..js (module.js:474:10)
   at Module.load (module.js:356:32)
   at Module.Mp.load
   (C:\Users\Cvax\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reif
y\node\runtime.js:16:23)
   at Function.Module._load (module.js:312:12)
   at Module.require (module.js:364:17)
   at require (module.js:380:17)
   at Object._.extend.Npm.require (C:\tools\isobuild\bundler.js:1570:22)
   at Object.require (C:\tools\isobuild\bundler.js:1547:11)
   at Package (packages/babel-compiler/babel-compiler.js:17:1)
   at packages/babel-compiler/babel-compiler.js:356:1
   at packages/babel-compiler/babel-compiler.js:356:1


=> Your application has errors. Waiting for file change.
@cvax cvax changed the title [v1.3.3 Windows 7 & 10] Brand new install of Meteor, can't do "meteor list" or "meteor" [v1.3.3 Windows 7 & 10] Brand new install of Meteor, can't do "meteor list" or "meteor" on brand new created sample project Jun 15, 2016
@sachal6
Copy link

@sachal6 sachal6 commented Jun 15, 2016

Exact same issue with exact same process. Removing local.meteor does not fix the issue. While projects that updated never worked, older versions were fine until local.meteor was deleted. In addition to the commands listed above, "meteor update" has similar issues

@nbrady-techempower
Copy link

@nbrady-techempower nbrady-techempower commented Jun 15, 2016

I have had similar problems with Windows 8.1 and Windows 10. It would take 15 mins or more stuck at downloading the toolset. I would do it 2 or 3 times, and it would eventually say that meteor has already been updated and let me get back to work.

@TWKDreamState
Copy link

@TWKDreamState TWKDreamState commented Jun 15, 2016

I am getting this error also. Tried to do a clean install to rectify another issue (deleted .meteor as part of this process). Same errors as above. Luckily, my existing app still runs using the 'meteor' command but if I try to do a 'meteor update' it fails with the above errors.

@laosb
Copy link
Collaborator

@laosb laosb commented Jun 15, 2016

Sounds like 2 different problems there, as @nbrady-techempower make it work by reinstalling while @cvax @sachal6 @TWKDreamState can't. There must be some problems with this release on Windows as I see #7222 #7223.

@iarapm
Copy link

@iarapm iarapm commented Jun 15, 2016

I have the same problem and see same messages as @cvax , I'm running on a windows10

@nbrady-techempower
Copy link

@nbrady-techempower nbrady-techempower commented Jun 15, 2016

I've posted in the meteor forums about it as well a few days ago.. Here is some of the feedback. https://forums.meteor.com/t/very-long-wait-times-downloading-meteor-tools-on-update/24440/3

@cvax
Copy link
Author

@cvax cvax commented Jun 15, 2016

@nbrady-techempower thanks. I see. That probably explains the slow update times, but from a brand new Meteor install, we already have v1.3.3 when creating new projects. Those new projects however fail to launch. If we use "meteor create myApp --release 1.3.2.4" it does work because v1.3.2.4 has no issue launching, but the v1.3.3 errors above will likely not go away with a CDN fix. Likely need a patch or instructions on some unknown prerequisites to get v1.3.3 working.

@Treyphor
Copy link

@Treyphor Treyphor commented Jun 15, 2016

I'm getting this same error on windows 10. Just installed meteor to try it out so fresh install, get this when trying to run sample app.

@officeabg
Copy link

@officeabg officeabg commented Jun 16, 2016

I have the same issue on windows10

@laosb laosb added the confirmed label Jun 16, 2016
@laosb
Copy link
Collaborator

@laosb laosb commented Jun 16, 2016

@Treyphor @officeabg Did you try a reinstall then?

@officeabg
Copy link

@officeabg officeabg commented Jun 16, 2016

twice with no luck. I am upgrading some software on my pc now, perl, visual studio... to see if it is an incompatibility somewhere.
I will get back with the results.

@SNY7
Copy link

@SNY7 SNY7 commented Jun 16, 2016

reinstall is wasting time. I found a solution to solve this problem:

  1. download archive file from https://github.com/meteor/docs/blob/master/long-form/alternate-windows-installation.md

  2. use a mac/linux machine unarchive that .tar.gz to a usb disk

  3. use robocopy, from usb disk to your .meteor folder:

       robocopy x:\.meteor c:\users\xxx\AddData\local\.meteor /mir
    

works well

@victorchui
Copy link

@victorchui victorchui commented Jun 16, 2016

i have a similar problem about that . how can resolve that !?

@officeabg
Copy link

@officeabg officeabg commented Jun 16, 2016

Doesn't work after upgrades, after wiping any trace of previous meteor instalations. This is a bug with the current release.

@HaiderMalik12
Copy link

@HaiderMalik12 HaiderMalik12 commented Jun 16, 2016

I have same issue with windows 10.I have installed meteor 1.3

@muhammad-abubakkar
Copy link

@muhammad-abubakkar muhammad-abubakkar commented Jun 16, 2016

Meteor 1.3.3 is not working...created new project and when run
meteor
errors all over the console.

@RyanMcGee
Copy link

@RyanMcGee RyanMcGee commented Jun 16, 2016

I'm having the exact same issue. I'm trying to evaluate Meteor today by walking through the tutorials. A failure on step one is disappointing to say the least. I was able to work around this by creating the tutorial project with the command:

meteor create --release 1.3.2.4 simple-todos

@bpicori
Copy link

@bpicori bpicori commented Jun 16, 2016

I have the same issue in windows 10. Meteor version 1.3.3

@benjamn benjamn mentioned this issue Jun 16, 2016
5 of 5 tasks complete
@benjamn
Copy link
Member

@benjamn benjamn commented Jun 16, 2016

This is due to the dreaded path-too-long error, which any Windows PowerShell users know all too well:

The specified path, file name, or both are too long. The fully qualified file name must be less than 260
characters, and the directory name must be less than 248 characters.

I can fix it, but I'm irritated on behalf of Windows users yet again (for like the hundredth time) about this silly silly limitation.

@benjamn
Copy link
Member

@benjamn benjamn commented Jun 16, 2016

Not quite fixed yet, GitHub!

@benjamn benjamn reopened this Jun 16, 2016
@Fusyon
Copy link

@Fusyon Fusyon commented Jun 16, 2016

With windows x64 Pro for me it's good ! 👍

@NiallJoeMaher
Copy link

@NiallJoeMaher NiallJoeMaher commented Jun 17, 2016

@CamilleBargoin you are a gent! At least it's something to get me started

@spawn-guy
Copy link

@spawn-guy spawn-guy commented Jun 17, 2016

@lesniall i am trying it now... with the meteor --release 1.3.2.4 command. we'll see how it goes

@ALL: is there a way to make meteor-tool... or, well, anything meteor related to Verify package hashes and re-download the "partially downloaded" ones?

i've encountered this problem a couple of times recently.. when meteor-tool starts to download packages.. but something breaks during the process and then i start getting really weird errors like files missing on import (even if they are part of the project and lay directly next to the file that is importing it)

it just happened with the recent meteor 1.3.3 ... i ran a project and meteor said that there is 1.3.3 version available and it is downloading it... but, well, i had to restart the application (i'm in development mode now) to re-read some ENV_VARs. And, well,.. it fails to start now :slight_smile: as meteor-tool was just partially unpacked/installed but it got a chance to replace the path to the new tool in ~/.meteor/meteor.bat

as a side note - updating meteor-tool takes painfully long time on windows machine 😕 like 10 minutes or something. i think it is due to a "insane" amount of separate files :/ @Arrow7000

@laosb
Copy link
Collaborator

@laosb laosb commented Jun 17, 2016

@Arrow7000 I'm not a core developer so I don't know, sorry!

Pinging @benjamn as he may know something about this.

@ozanaltinbas
Copy link

@ozanaltinbas ozanaltinbas commented Jun 17, 2016

Doesn't Meteor have any Testers ? If so, we can donate to them to get one.

@benjamn
Copy link
Member

@benjamn benjamn commented Jun 17, 2016

This should be fixed in Meteor 1.3.3.1, which you can try by running meteor update --release 1.3.3.1.

However, if you already updated to 1.3.3 and hit this error, your installation may be broken in a way that prevents updating to 1.3.3.1. Here's a workaround that should fix the problem in 1.3.3 (so that you can upgrade to 1.3.3.1 and never look back). Make sure you run this in cmd.exe and not PowerShell, since it's PowerShell that suffers from the path length limits:

# From your C:\Users\YourName directory:
cd .\AppData\Local\.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\isopackets\ddp\npm
# Install the offending babel-types package at the top level to shorten its paths:
meteor npm install babel-types
# Go to the parent directory of the original babel-types package:
cd .\node_modules\meteor\babel-compiler\node_modules\babel-plugin-transform-es2015-modules-commonjs\node_modules
# Make sure babel-types is there:
dir
# Delete it without mercy:
rmdir /s /q babel-types

If you encounter similar problems with other suspiciously long paths, this technique may help resolve those problems, too. The key point is that Node imports work as long as the imported npm package is contained by a node_modules directory in an ancestor directory of the module that imports it. That's why hoisting babel-types to .../ddp/npm/node_modules/ works in this case.

@officeabg
Copy link

@officeabg officeabg commented Jun 18, 2016

this is not fixed on 1.3.3.1 this is the output for a newly created app after a fresh install of meteor

=> Started proxy.
=> Started MongoDB.
=> Errors prevented startup:

While processing files with ecmascript (for target web.browser):
module.js:338:15: Cannot find module 'babel-helper-function-name'
at Function.Module._resolveFilename (module.js:338:15)
at Function.Module._load (module.js:280:25)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.
(C:\Users\Workstation1\AppData\Local.meteor\packages\ecmascript\0.4.5\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor-babel\node_modules\babel-preset-meteor\node_modules\babel-plugin-transform-es2015-classes\lib\loose.js:17:56)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Workstation1\AppData\Local.meteor\packages\meteor-tool\1.3.3_1\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\node\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.
(C:\Users\Workstation1\AppData\Local.meteor\packages\ecmascript\0.4.5\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor-babel\node_modules\babel-preset-meteor\node_modules\babel-plugin-transform-es2015-classes\lib\index.js:56:38)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Workstation1\AppData\Local.meteor\packages\meteor-tool\1.3.3_1\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\node\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.
(C:\Users\Workstation1\AppData\Local.meteor\packages\ecmascript\0.4.5\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor-babel\node_modules\babel-preset-meteor\index.js:12:6)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Workstation1\AppData\Local.meteor\packages\meteor-tool\1.3.3_1\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\node\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.getDefaults
(C:\Users\Workstation1\AppData\Local.meteor\packages\ecmascript\0.4.5\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor-babel\options.js:30:15)
at Object.getDefaultOptions (packages/babel-compiler/babel.js:9:1)
at BabelCompiler.BCp.processOneFileForTarget
(packages/babel-compiler/babel-compiler.js:95:1)
at BabelCompiler.
(packages/babel-compiler/babel-compiler.js:21:1)
at Array.forEach (native)
at BabelCompiler.BCp.processFilesForTarget
(packages/babel-compiler/babel-compiler.js:20:1)

While processing files with ecmascript (for target os.windows.x86_32):
module.js:338:15: Cannot find module 'babel-helper-function-name'
at Function.Module._resolveFilename (module.js:338:15)
at Function.Module._load (module.js:280:25)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.
(C:\Users\Workstation1\AppData\Local.meteor\packages\ecmascript\0.4.5\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor-babel\node_modules\babel-preset-meteor\node_modules\babel-plugin-transform-es2015-classes\lib\loose.js:17:56)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Workstation1\AppData\Local.meteor\packages\meteor-tool\1.3.3_1\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\node\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.
(C:\Users\Workstation1\AppData\Local.meteor\packages\ecmascript\0.4.5\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor-babel\node_modules\babel-preset-meteor\node_modules\babel-plugin-transform-es2015-classes\lib\index.js:56:38)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Workstation1\AppData\Local.meteor\packages\meteor-tool\1.3.3_1\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\node\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.
(C:\Users\Workstation1\AppData\Local.meteor\packages\ecmascript\0.4.5\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor-babel\node_modules\babel-preset-meteor\index.js:12:6)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Workstation1\AppData\Local.meteor\packages\meteor-tool\1.3.3_1\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\node\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.getDefaults
(C:\Users\Workstation1\AppData\Local.meteor\packages\ecmascript\0.4.5\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor-babel\options.js:30:15)
at Object.getDefaultOptions (packages/babel-compiler/babel.js:9:1)
at BabelCompiler.BCp.processOneFileForTarget
(packages/babel-compiler/babel-compiler.js:95:1)
at BabelCompiler.
(packages/babel-compiler/babel-compiler.js:21:1)
at Array.forEach (native)
at BabelCompiler.BCp.processFilesForTarget
(packages/babel-compiler/babel-compiler.js:20:1)

=> Your application has errors. Waiting for file change.

@Jose4gg
Copy link

@Jose4gg Jose4gg commented Jun 18, 2016

I unistall Meteor and install again. meteor is in 1.3.3.1 but i have the same problem as @officeabg

@benjamn
Copy link
Member

@benjamn benjamn commented Jun 18, 2016

@officeabg @Jose4gg maybe try meteor npm install --save babel-helper-function-name?

@Jose4gg
Copy link

@Jose4gg Jose4gg commented Jun 18, 2016

Try but still the same problem

@benjamn
Copy link
Member

@benjamn benjamn commented Jun 18, 2016

These stack traces look nothing like the original stack trace @cvax posted. Pretty sure these are different problems…

@officeabg
Copy link

@officeabg officeabg commented Jun 18, 2016

$ meteor
[[[[[ ~\E\000nodejs\app112 ]]]]]

=> Started proxy.
=> Started MongoDB.
=> Errors prevented startup:

While processing files with ecmascript (for target web.browser):
module.js:338:15: Cannot find module 'babel-helper-function-name'
at Function.Module._resolveFilename (module.js:338:15)
at Function.Module._load (module.js:280:25)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.
(C:\Users\Workstation1\AppData\Local.meteor\packages\ecmascript\0.4.5\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor-babel\node_modules\babel-preset-meteor\node_modules\babel-plugin-transform-es2015-classes\lib\loose.js:17:56)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Workstation1\AppData\Local.meteor\packages\meteor-tool\1.3.3_1\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\node\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.
(C:\Users\Workstation1\AppData\Local.meteor\packages\ecmascript\0.4.5\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor-babel\node_modules\babel-preset-meteor\node_modules\babel-plugin-transform-es2015-classes\lib\index.js:56:38)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Workstation1\AppData\Local.meteor\packages\meteor-tool\1.3.3_1\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\node\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.
(C:\Users\Workstation1\AppData\Local.meteor\packages\ecmascript\0.4.5\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor-babel\node_modules\babel-preset-meteor\index.js:12:6)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Workstation1\AppData\Local.meteor\packages\meteor-tool\1.3.3_1\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\node\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.getDefaults
(C:\Users\Workstation1\AppData\Local.meteor\packages\ecmascript\0.4.5\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor-babel\options.js:30:15)
at Object.getDefaultOptions (packages/babel-compiler/babel.js:9:1)
at BabelCompiler.BCp.processOneFileForTarget
(packages/babel-compiler/babel-compiler.js:95:1)
at BabelCompiler.
(packages/babel-compiler/babel-compiler.js:21:1)
at Array.forEach (native)
at BabelCompiler.BCp.processFilesForTarget
(packages/babel-compiler/babel-compiler.js:20:1)

While processing files with ecmascript (for target os.windows.x86_32):
module.js:338:15: Cannot find module 'babel-helper-function-name'
at Function.Module._resolveFilename (module.js:338:15)
at Function.Module._load (module.js:280:25)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.
(C:\Users\Workstation1\AppData\Local.meteor\packages\ecmascript\0.4.5\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor-babel\node_modules\babel-preset-meteor\node_modules\babel-plugin-transform-es2015-classes\lib\loose.js:17:56)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Workstation1\AppData\Local.meteor\packages\meteor-tool\1.3.3_1\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\node\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.
(C:\Users\Workstation1\AppData\Local.meteor\packages\ecmascript\0.4.5\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor-babel\node_modules\babel-preset-meteor\node_modules\babel-plugin-transform-es2015-classes\lib\index.js:56:38)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Workstation1\AppData\Local.meteor\packages\meteor-tool\1.3.3_1\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\node\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.
(C:\Users\Workstation1\AppData\Local.meteor\packages\ecmascript\0.4.5\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor-babel\node_modules\babel-preset-meteor\index.js:12:6)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Workstation1\AppData\Local.meteor\packages\meteor-tool\1.3.3_1\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\node\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.getDefaults
(C:\Users\Workstation1\AppData\Local.meteor\packages\ecmascript\0.4.5\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor-babel\options.js:30:15)
at Object.getDefaultOptions (packages/babel-compiler/babel.js:9:1)
at BabelCompiler.BCp.processOneFileForTarget
(packages/babel-compiler/babel-compiler.js:95:1)
at BabelCompiler.
(packages/babel-compiler/babel-compiler.js:21:1)
at Array.forEach (native)
at BabelCompiler.BCp.processFilesForTarget
(packages/babel-compiler/babel-compiler.js:20:1)

=> Your application has errors. Waiting for file change.

@EdineraWeb
Copy link

@EdineraWeb EdineraWeb commented Jun 18, 2016

I still have the same problem, even after the update to release 1.3.3.1. Below is the output:

` While processing files with ecmascript (for target web.browser):
module.js:338:15: Cannot find module 'babel-helper-function-name'
at Function.Module._resolveFilename (module.js:338:15)
at Function.Module._load (module.js:280:25)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.
(C:\Users\Username\AppData\Local.meteor\packages\ecmascript\0.4.5\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor-babel\node_modules\babel-preset-meteor\node_modules\babel-plugin-transform-es2015-classes\lib\loose.js:17:56)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Username\AppData\Local.meteor\packages\meteor-tool\1.3.3_1\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\node\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.
(C:\Users\Username\AppData\Local.meteor\packages\ecmascript\0.4.5\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor-babel\node_modules\babel-preset-meteor\node_modules\babel-plugin-transform-es2015-classes\lib\index.js:56:38)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Username\AppData\Local.meteor\packages\meteor-tool\1.3.3_1\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\node\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.
(C:\Users\Username\AppData\Local.meteor\packages\ecmascript\0.4.5\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor-babel\node_modules\babel-preset-meteor\index.js:12:6)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Username\AppData\Local.meteor\packages\meteor-tool\1.3.3_1\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\node\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.getDefaults
(C:\Users\Username\AppData\Local.meteor\packages\ecmascript\0.4.5\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor-babel\options.js:30:15)
at Object.getDefaultOptions (packages/babel-compiler/babel.js:9:1)
at BabelCompiler.BCp.processOneFileForTarget
(packages/babel-compiler/babel-compiler.js:95:1)
at BabelCompiler.
(packages/babel-compiler/babel-compiler.js:21:1)
at Array.forEach (native)
at BabelCompiler.BCp.processFilesForTarget
(packages/babel-compiler/babel-compiler.js:20:1)

While processing files with ecmascript (for target os.windows.x86_32):
module.js:338:15: Cannot find module 'babel-helper-function-name'
at Function.Module._resolveFilename (module.js:338:15)
at Function.Module._load (module.js:280:25)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.
(C:\Users\Username\AppData\Local.meteor\packages\ecmascript\0.4.5\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor-babel\node_modules\babel-preset-meteor\node_modules\babel-plugin-transform-es2015-classes\lib\loose.js:17:56)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Username\AppData\Local.meteor\packages\meteor-tool\1.3.3_1\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\node\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.
(C:\Users\Username\AppData\Local.meteor\packages\ecmascript\0.4.5\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor-babel\node_modules\babel-preset-meteor\node_modules\babel-plugin-transform-es2015-classes\lib\index.js:56:38)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Username\AppData\Local.meteor\packages\meteor-tool\1.3.3_1\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\node\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.
(C:\Users\Username\AppData\Local.meteor\packages\ecmascript\0.4.5\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor-babel\node_modules\babel-preset-meteor\index.js:12:6)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load
(C:\Users\Username\AppData\Local.meteor\packages\meteor-tool\1.3.3_1\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\node\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.getDefaults
(C:\Users\Username\AppData\Local.meteor\packages\ecmascript\0.4.5\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\meteor-babel\options.js:30:15)
at Object.getDefaultOptions (packages/babel-compiler/babel.js:9:1)
at BabelCompiler.BCp.processOneFileForTarget
(packages/babel-compiler/babel-compiler.js:95:1)
at BabelCompiler.
(packages/babel-compiler/babel-compiler.js:21:1)
at Array.forEach (native)
at BabelCompiler.BCp.processFilesForTarget
(packages/babel-compiler/babel-compiler.js:20:1)

=> Your application has errors. Waiting for file change.`

@NiallJoeMaher
Copy link

@NiallJoeMaher NiallJoeMaher commented Jun 18, 2016

Yup I'm still having the same problems too!

@alondanoch
Copy link

@alondanoch alondanoch commented Jun 18, 2016

having the same problem on win10 new install (Meteor 1.3.3.1)

"...While processing files with ecmascript (for target web.browser):
module.js:338:15: Cannot find module 'babel-helper-function-name'..."

@laosb
Copy link
Collaborator

@laosb laosb commented Jun 18, 2016

@alondanoch @lesniall @EdineraWeb @officeabg :
babel-helper-function-name issues are tracked in #7247 now. The original problem looks like been fixed in 1.3.3.1, so closing this.

@laosb laosb reopened this Jun 18, 2016
@laosb laosb closed this Jun 18, 2016
@laosb
Copy link
Collaborator

@laosb laosb commented Jun 18, 2016

(Sorry, my fault for accidentally reopening this)

@NiallJoeMaher
Copy link

@NiallJoeMaher NiallJoeMaher commented Jun 18, 2016

Well it's still broken so closing the issue is just lazy, more problems have happened since the "fix".

@laosb
Copy link
Collaborator

@laosb laosb commented Jun 18, 2016

It's still broken and we're sorry about this. But comments after the fix leads
to a different problem, so I'd suggest discussing about it in a separated
issue.

Sent from Nylas N1, the extensible, open source
mail client.

On 6月 18 2016, at 10:34 晚上, Niall Maher <notifications@github.com>
wrote:

Well it's still broken so closing the issue is just lazy, more problems have
happened since the "fix".


You are receiving this because you modified the open/close state.
Reply to this email directly, view it on
GitHub
,
or mute the
thread
.

@mybirer
Copy link

@mybirer mybirer commented Jun 19, 2016

I faced this problem 4 days ago. I looked everywhere but I can't find solution. Finally, with @benjamn 's comments I run meteor 1.3.3.1 at windows 10.

It's not stable but working.
I hope developers can solve this bug immediately.

I will write here how to run meteor 1.3.3.1 in windows 10

1- Download meteor installer from www.meteor.com and install meteor.
2- Run cmd, create new meteor project and run meteor which name is "toprak"

#create new workspace
cd c:\
mkdir works
cd works
#create meteor project
meteor create toprak
#enter dir then run meteor
cd toprak
meteor

3- When you do second step, an error occurs. At this point, run following commands at described directories.

#Go to the isopacket folder and install babel-types
cd %LOCALAPPDATA%\.meteor\packages\meteor-tool\1.3.3_1\mt-os.windows.x86_32\isopackets\ddp\npm
meteor npm install babel-types
#Go to the dev module directory then run following commands respectively
cd %LOCALAPPDATA%\.meteor\packages\meteor-tool\1.3.3_1\mt-os.windows.x86_32\dev_bundle\lib\node_modules

meteor npm install --save babel-helper-function-name
meteor npm install --save babel-helper-replace-supers
meteor npm install --save babel-helper-optimise-call-expression
meteor npm install --save babel-helper-define-map
meteor npm install --save babel-helper-get-function-arity
meteor npm install --save babel-helper-call-delegate
meteor npm install --save babel-helper-regex
meteor npm install --save regexpu-core --version 2.0.0
meteor npm install --save regjsgen
meteor npm install --save regjsparser

4- Download nodejs windows installer then install it normally.

https://nodejs.org/dist/v4.4.5/node-v4.4.5-x64.msi

5- Go to workspace and run meteor without error.

cd c:\works\toprak
meteor


I tried this solution two times. It works. I'm not expert but may this gives some idea to experts.

Have a good day.

@RyanMcGee
Copy link

@RyanMcGee RyanMcGee commented Jun 19, 2016

I've done a lot of tweaking and experimenting to my local environment, so I'm not sure if it was the update or something else, but for me, the update to 1.3.3.1 seems to have worked.

To fix future issues with the long path, couldn't us Windows users update NPM to version 3? One of the big features of npm@3 is to install dependencies in a minimally flat structure. In order to do this with Meteor, I ran this command:

meteor npm install -g npm@3

Is this going to break other things with Meteor, or is it a relatively safe thing to do?

@officeabg
Copy link

@officeabg officeabg commented Jun 20, 2016

@acefed had a fix that worked for me on another thread.

Try looking what package is involved, remove it, and start meteor again. The missing package will be freshly downloaded. In my case, and possibly the people with the logs above, this fixed it for me (Windows 10 x64):

C:\Users\AppData\Local.meteor\packages\ecmascript

@benjamn
Copy link
Member

@benjamn benjamn commented Jun 20, 2016

@RyanMcGee you should mostly be able to get away with using npm@3!

Note that meteor npm install -g ... puts packages somewhere like ~/.meteor/packages/meteor-tool/1.3.3_1/mt-os.osx.x86_64/dev_bundle/lib/node_modules/, so you really are replacing the version of npm that Meteor uses. My main caveat is that we use npm-shrinkwrap.json files for npm dependencies of Meteor packages, so using npm@3 may not actually change the way those packages are installed (thanks to shrinkwrap doing its job). There is also some risk that this code could get confused by the flattened dependencies, and fail to properly update indirect dependencies that have been hoisted out of their original dependency trees. That should only be a problem for local packages (installed in a packages/ directory), and only when you update the npm dependencies of such packages.

Anyway, I'm curious to hear how npm@3 works for you, though my answer if it doesn't work is probably going to be meteor npm install -g npm@2.15.1 :)

@benjamn
Copy link
Member

@benjamn benjamn commented Jun 20, 2016

Locking this issue because the original problem is fixed. Please report any other problems as separate issues, and be sure to follow the instructions in the issue template, so that we have enough information to help you.

@meteor meteor locked and limited conversation to collaborators Jun 20, 2016
Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
You can’t perform that action at this time.